# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'TrRMIte/version'

Gem::Specification.new do |spec|
  spec.name          = "TrRMIte"
  spec.version       = TrRMIte::VERSION
  spec.authors       = ["Simply Business"]
  spec.email         = ["tech@simplybusiness.co.uk"]

  spec.summary       = %q{A near-zero latency event broker for real-time telephony systems}
  spec.description   = %q{Build real-time telephony systems using event sourcing}
  spec.homepage      = "https://github.com/simplybusiness/TrRMIte"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_dependency "slop", "~> 4.0"
  spec.add_dependency "daemons", "~> 1.2"
  spec.add_dependency "progressbar", "~> 1.9"

  spec.add_development_dependency "bundler", "~> 1.16"
  spec.add_development_dependency "rake", "~> 12.0"
  spec.add_development_dependency "minitest", "~> 5.0"

  spec.add_development_dependency "pry"
  spec.add_development_dependency "pry-doc"
  spec.add_development_dependency "pry-rescue"
end
